<div class="row col p-3 m-3">
  <div class="col-3 d-inline">
    <div class="form-group row">
      <label for="staticEmail" class="col-sm-3 col-form-label">Caracter: </label>
      <div class="input-group col-sm-9">
        <select class="custom-select" id="caracters">
          <option *ngFor="let character of dataCharacter" value="{{character}}">{{character}}</option>
        </select>
        <div class="input-group-append">
          <button class="btn btn-outline-primary" type="button" id="button-addon2" (click)="buttonAddTable()">
            <i class="bi bi-plus-lg"></i>
          </button>
        </div>
      </div>
    </div>
  </div>
  <div class="row col-12" *ngIf="characteristicData.length > 0; else elseNullTable">
    <table class="col-7 table border-dark">
      <caption class="ml-2 small">
        <button type="button" class="btn btn-primary" (click)="viewArray()">
          Agregar
        </button>
      </caption>
      <thead class="thead-light">
        <th align="center" class="col-2 small font-weight-bold">Caracteristicas</th>
        <th align="center" class="col-3 small font-weight-bold">Descripción</th>
        <th align="center" class="col-2 small font-weight-bold">Detalle</th>
        <th align="center" class="col-1 small"></th>
      </thead>
      <tbody class="small" *ngFor="let data of characteristicData; let index = index">
        <th scope="row" class="col-2 align-middle">
          {{data.name}}
        </th>
        <td class="col-2 align-middle">
          <input type="search" id="description" (change)="actionDescription($event, index)" placeholder="Escribe el Detalle" class="col-12 form-control form-control-sm pl-2">
        </td>
        <td class="col-6 align-middle">
          <ng-container *ngIf="data.description.length > 0 ; else elseTemplate">
            <h6 class="d-inline" *ngFor="let dataSelect of data.description; let sector = index">
              <span class="badge badge-primary p-2 ml-1 mt-1 font-weight-normal text-light">
                {{dataSelect}}
                <a (click)="deleteDescription(index, sector)" class="ml-1 text-light">
                  <i class="bi bi-x"></i>
                </a>
              </span>
            </h6>
          </ng-container>
          <ng-template #elseTemplate>
            Sin Detalles
          </ng-template>
        </td>
        <td class="col-1 align-middle align-middle">
          <i class="fas fa-trash text text-danger mouse" (click)="deleteCharacter(index)"></i>
        </td>
      </tbody>
    </table>
  </div>
  <ng-template #elseNullTable>
    <div class="col-12 text text-danger small">
      Sin Caracteristicas
    </div>
  </ng-template>
</div>
